# Uses of Interface
java.util.concurrent.StructuredTaskScope.Configuration

Packages that use StructuredTaskScope.ConfigurationPREVIEW
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of StructuredTaskScope.ConfigurationPREVIEW in java.util.concurrent

Methods in java.util.concurrent that return StructuredTaskScope.ConfigurationPREVIEW
Modifier and Type
Method
Description
`StructuredTaskScope.ConfigurationPREVIEW`
StructuredTaskScope.Configuration.`withName(String name)`
Returns a new `Configuration` object with the given name.
`StructuredTaskScope.ConfigurationPREVIEW`
StructuredTaskScope.Configuration.`withThreadFactory(ThreadFactory threadFactory)`
Returns a new `Configuration` object with the given thread factory.
`StructuredTaskScope.ConfigurationPREVIEW`
StructuredTaskScope.Configuration.`withTimeout(Duration timeout)`
Returns a new `Configuration` object with the given timeout.
Method parameters in java.util.concurrent with type arguments of type StructuredTaskScope.ConfigurationPREVIEW
Modifier and Type
Method
Description
`static <T,R> StructuredTaskScopePREVIEW<T,R>`
StructuredTaskScope.`open(StructuredTaskScope.JoinerPREVIEW<? super T, ? extends R> joiner, Function<StructuredTaskScope.ConfigurationPREVIEW, StructuredTaskScope.ConfigurationPREVIEW> configFunction)`
Opens a new `StructuredTaskScope` to use the given `Joiner` object and with configuration that is the result of applying the given function to the default configuration.
`static <T,R> StructuredTaskScopePREVIEW<T,R>`
StructuredTaskScope.`open(StructuredTaskScope.JoinerPREVIEW<? super T, ? extends R> joiner, Function<StructuredTaskScope.ConfigurationPREVIEW, StructuredTaskScope.ConfigurationPREVIEW> configFunction)`
Opens a new `StructuredTaskScope` to use the given `Joiner` object and with configuration that is the result of applying the given function to the default configuration.